Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractService

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractService

All Implemented Interfaces:
  `Serializable`, `Idable`

public class ContractService extends Id implements Serializable
Разрешенная на договоре услуга.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractService`
  `clone()`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getServiceId()`
  `String`
  `getServiceTitle()`
  `ContractService`
  `setComment(String comment)`
  `ContractService`
  `setContractId(int contractId)`
  `ContractService`
  `setDateFrom(Date date)`
  `ContractService`
  `setDateTo(Date date)`
  `ContractService`
  `setId(int id)`
  Устанавливает id объекта
  `ContractService`
  `setServiceId(int serviceId)`
  `ContractService`
  `setServiceTitle(String serviceTitle)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractService

    public ContractService()

- ## Method Details

  - ### clone

    public ContractService clone()
    Overrides:
      `clone` in class `Object`

  - ### getComment

    public String getComment()

  - ### getContractId

    public int getContractId()

  - ### getDateFrom

    public Date getDateFrom()

  - ### getDateTo

    public Date getDateTo()

  - ### getServiceId

    public int getServiceId()

  - ### getServiceTitle

    public String getServiceTitle()

  - ### setComment

    public ContractService setComment(String comment)

  - ### setContractId

    public ContractService setContractId(int contractId)

  - ### setDateFrom

    public ContractService setDateFrom(Date date)

  - ### setDateTo

    public ContractService setDateTo(Date date)

  - ### setId

    public ContractService setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setServiceId

    public ContractService setServiceId(int serviceId)

  - ### setServiceTitle

    public ContractService setServiceTitle(String serviceTitle)